New: Nano Banana 2.1Try the model
API Stock
/VIDEO/agnes-video-2.5
视频
Agnes AI

Agnes Video 2.5 API

Generate 1–12 second videos from text, up to 9 reference images and 3 audio references. Supports 720p, 1080p and 2K output in six aspect ratios.

  • 文本转视频
  • 图像转视频

起价

$0.023

每秒输出

7 个参数 · 3 个价格选项

Agnes Video 2.5 在线试用

输入

Describe the scene, motion and audio. Refer to supplied images and audio in the prompt.

Reference image URLs (up to 9). Included in the per-second price.

Reference audio URLs (up to 3), free of additional charge.

登录后运行

运行费用将从您的余额中扣除。

输出

输出将显示在此处。

填写参数、确认费用并运行模型,结果将在此处显示。在浏览器中试用无需单独创建 API 密钥。

Agnes Video 2.5 API 价格

选项每秒价格
720p$0.023
1080p$0.039
2k$0.052
1curl -X POST https://api.api-stock.com/api/v1/generation/create \
2 -H "Authorization: Bearer $API_STOCK_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "model": "agnes-video-2.5",
6 "input": {
7 "prompt": "黄昏时分城市的电影感镜头",
8 "aspectRatio": "16:9",
9 "resolution": "720p",
10 "duration": 5
11 }
12 }'

参数

名称类型必填默认值描述
promptstring是—Describe the scene, motion and audio. Refer to supplied images and audio in the prompt.
aspectRatiostring否16:9Video aspect ratio以下之一:16:9, 9:16, 21:9, 4:3, 1:1, 3:4
imageUrlsstring[]否—Reference image URLs (up to 9). Included in the per-second price.
audioUrlsstring[]否—Reference audio URLs (up to 3), free of additional charge.
resolutionstring否720pOutput video resolution.以下之一:720p, 1080p, 2k
durationnumber否5Output duration in seconds (1–12).
seednumber否—Random seed

常见问题

Agnes Video 2.5 的费用是多少?

Agnes Video 2.5 通过 API Stock API 的起价为 $0.023 每秒输出。您按使用量从单个预付余额中支付——无需订阅——最终价格会根据分辨率或时长等参数浮动。

如何获取 Agnes Video 2.5 的 API 密钥?

注册 API Stock 账号,使用可用的付款方式充值,然后在控制台创建 API 密钥即可,整个过程只需几分钟,无需签订合同。同一个密钥可调用目录中的所有模型,因此无需为 Agnes Video 2.5 单独申请密钥。

如何调用 Agnes Video 2.5 API?

向 https://api.api-stock.com/api/v1/generation/create 发送 POST 请求,并附上您的 API 密钥和模型 ID "agnes-video-2.5"。请求会返回一个任务 ID,您可以轮询该 ID;或者在结果准备就绪时通过 webhook 回调通知。上方的快速开始部分提供了一个可直接运行的示例。

Agnes Video 2.5 接受哪些输入参数?

Agnes Video 2.5 接受 7 个输入参数, 包括必填字段 prompt。参数表中列出了它们的类型、默认值和允许值。

如果 Agnes Video 2.5 请求失败,会发生什么?

API Stock 会自动在备用提供商上重试请求。如果所有提供商都失败,费用会退还至您的余额。

我可以使用与其他模型相同的 API 密钥来调用 Agnes Video 2.5 吗?

可以。API Stock 上的每个模型——视频、图像、音乐和聊天——共享一个 API 密钥和一个预付余额,因此您无需新的凭据即可切换到 Agnes Video 2.5。